Package tigase.server.websocket

## Enum WebSocketXMPPIOService.WebSocketXMPPSpec

- java.lang.Object
- - java.lang.Enum<WebSocketXMPPIOService.WebSocketXMPPSpec>
  - - tigase.server.websocket.WebSocketXMPPIOService.WebSocketXMPPSpec

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<WebSocketXMPPIOService.WebSocketXMPPSpec>`
  Enclosing class:
    WebSocketXMPPIOService<RefObject>

      public static enum WebSocketXMPPIOService.WebSocketXMPPSpec
      extends java.lang.Enum<WebSocketXMPPIOService.WebSocketXMPPSpec>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `hybi` |
    `xmpp` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static WebSocketXMPPIOService.WebSocketXMPPSpec` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static WebSocketXMPPIOService.WebSocketXMPPSpec[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### hybi

          public static final WebSocketXMPPIOService.WebSocketXMPPSpec hybi

    - #### xmpp

          public static final WebSocketXMPPIOService.WebSocketXMPPSpec xmpp

  - ### Method Detail

    - #### values

          public static WebSocketXMPPIOService.WebSocketXMPPSpec[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebSocketXMPPIOService.WebSocketXMPPSpec c : WebSocketXMPPIOService.WebSocketXMPPSpec.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebSocketXMPPIOService.WebSocketXMPPSpec valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null